Subject: Re: bug#21207: 25.0.50; Cursor position behaves unpredictably on the 'display text property

From: Artur Malabarba <[email-masked]>
Date: Sat, 8 Aug 2015 04:39:49 +0100

On Aug 7, 2015 9:13 PM, "Eli Zaretskii" <[email-masked]> wrote:
>
> > Date: Fri, 7 Aug 2015 20:56:38 +0100
> > From: Artur Malabarba <[email-masked]>
> > Cc: [email-masked]
> >
> > > In general, I hoped that line wrap at some constant column other than
> > > the window edge (which is what I understand you are trying to do) will
> > > be implemented on the display engine level, where IMO it belongs, not
> > > by using display properties and such likes.
> >
> > That makes sense. Would it still be possible to make that depend on a
> > predicate defined in a lisp variable? Or would the display engine run
> > too deep for that?
>
> Not sure I understand what kind of predicate you have in mind.  Please
> elaborate.

Something like *fill-nobreak-predicate*. You provide a nullary predicate
function, and wrapping is not done on lines where that predicate evaluates
to t.

Longlines-mode does that and it's the reason I use it. It lets me wrap
latex text without wrapping equations.